Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Collect.SignJarFiles Class Referencesealed
Inheritance diagram for Zwipe.Build.Collect.SignJarFiles:
[legend]
Collaboration diagram for Zwipe.Build.Collect.SignJarFiles:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
ITaskItem | RemoteAddress`[get, set]`
ITaskItem | RemoteToken`[get, set]`
ITaskItem | JarSignerExecutable`[get, set]`
ITaskItem | SignProvider`[get, set]`
ITaskItem[] | SigningTargets`[get, set]`

## Private Member Functions
Signer | GetSigner (ITaskItem item)
ISignProvider | GetProvider (ITaskItem signProvider)

## Static Private Attributes
const string | ProjectItemCertificateTag = "Certificate"
const string | ProjectItemContainerTag = "Container"
const string | ProjectItemContainerPasswordTag = "ContainerPassword"
const string | ProjectItemConfigurationFileTag = "ConfigurationFile"

## Member Function Documentation

## ◆ Execute()

override bool Zwipe.Build.Collect.SignJarFiles.Execute | ( |  | ) |

Here is the call graph for this function:

## ◆ GetProvider()

ISignProvider Zwipe.Build.Collect.SignJarFiles.GetProvider | ( | ITaskItem | signProvider | ) |
| private

Here is the caller graph for this function:

## ◆ GetSigner()

Signer Zwipe.Build.Collect.SignJarFiles.GetSigner | ( | ITaskItem | item | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ ProjectItemCertificateTag

const string Zwipe.Build.Collect.SignJarFiles.ProjectItemCertificateTag = "Certificate"
| static private

## ◆ ProjectItemConfigurationFileTag

const string Zwipe.Build.Collect.SignJarFiles.ProjectItemConfigurationFileTag = "ConfigurationFile"
| static private

## ◆ ProjectItemContainerPasswordTag

const string Zwipe.Build.Collect.SignJarFiles.ProjectItemContainerPasswordTag = "ContainerPassword"
| static private

## ◆ ProjectItemContainerTag

const string Zwipe.Build.Collect.SignJarFiles.ProjectItemContainerTag = "Container"
| static private

## Property Documentation

## ◆ JarSignerExecutable

ITaskItem Zwipe.Build.Collect.SignJarFiles.JarSignerExecutable
| get set

## ◆ RemoteAddress

ITaskItem Zwipe.Build.Collect.SignJarFiles.RemoteAddress
| get set

## ◆ RemoteToken

ITaskItem Zwipe.Build.Collect.SignJarFiles.RemoteToken
| get set

## ◆ SigningTargets

ITaskItem [] Zwipe.Build.Collect.SignJarFiles.SigningTargets
| get set

## ◆ SignProvider

ITaskItem Zwipe.Build.Collect.SignJarFiles.SignProvider
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Collect/SignJarFiles.cs